## org.apache.maven.shared.io.logging
Class DefaultMessageHolder

    java.lang.Object
      org.apache.maven.shared.io.logging.DefaultMessageHolder

All Implemented Interfaces:
  MessageHolder

    public class DefaultMessageHolder

extends java.lang.Object
implements MessageHolder

Constructor Summary
`DefaultMessageHolder()`
`DefaultMessageHolder(int maxMessageLevel, int defaultMessageLevel)`
`DefaultMessageHolder(int maxMessageLevel, int defaultMessageLevel, MessageSink onDemandSink)`

Method Summary
`MessageHolder` `addDebugMessage(java.lang.CharSequence messagePart)`
`MessageHolder` `addDebugMessage(java.lang.CharSequence messagePart, java.lang.Throwable error)`
`MessageHolder` `addDebugMessage(java.lang.Throwable error)`
`MessageHolder` `addErrorMessage(java.lang.CharSequence messagePart)`
`MessageHolder` `addErrorMessage(java.lang.CharSequence messagePart, java.lang.Throwable error)`
`MessageHolder` `addErrorMessage(java.lang.Throwable error)`
`MessageHolder` `addInfoMessage(java.lang.CharSequence messagePart)`
`MessageHolder` `addInfoMessage(java.lang.CharSequence messagePart, java.lang.Throwable error)`
`MessageHolder` `addInfoMessage(java.lang.Throwable error)`
`MessageHolder` `addMessage(java.lang.CharSequence messagePart)`
`MessageHolder` `addMessage(java.lang.CharSequence messagePart, java.lang.Throwable error)`
`protected MessageHolder` `addMessage(int level, java.lang.CharSequence messagePart)`
`protected MessageHolder` `addMessage(int level, java.lang.CharSequence messagePart, java.lang.Throwable error)`
`protected MessageHolder` `addMessage(int level, java.lang.Throwable error)`
`MessageHolder` `addMessage(java.lang.Throwable error)`
`MessageHolder` `addSevereMessage(java.lang.CharSequence messagePart)`
`MessageHolder` `addSevereMessage(java.lang.CharSequence messagePart, java.lang.Throwable error)`
`MessageHolder` `addSevereMessage(java.lang.Throwable error)`
`MessageHolder` `addWarningMessage(java.lang.CharSequence messagePart)`
`MessageHolder` `addWarningMessage(java.lang.CharSequence messagePart, java.lang.Throwable error)`
`MessageHolder` `addWarningMessage(java.lang.Throwable error)`
`MessageHolder` `append(java.lang.CharSequence messagePart)`
`MessageHolder` `append(java.lang.Throwable error)`
`int` `countDebugMessages()`
`int` `countErrorMessages()`
`int` `countInfoMessages()`
`int` `countMessages()`
`int` `countSevereMessages()`
`int` `countWarningMessages()`
`void` `flush()`
`boolean` `isDebugEnabled()`
`boolean` `isEmpty()`
`boolean` `isErrorEnabled()`
`boolean` `isInfoEnabled()`
`boolean` `isSevereEnabled()`
`boolean` `isWarningEnabled()`
`MessageHolder` `newDebugMessage()`
`MessageHolder` `newErrorMessage()`
`MessageHolder` `newInfoMessage()`
`MessageHolder` `newMessage()`
`protected void` `newMessage(int messageLevel)`
`MessageHolder` `newSevereMessage()`
`MessageHolder` `newWarningMessage()`
`java.lang.String` `render()`
`void` `render(MessageSink sink)`
`protected void` `renderTo(org.apache.maven.shared.io.logging.DefaultMessageHolder.Message message, MessageSink sink)`
`void` `setDebugEnabled(boolean enabled)`
`void` `setErrorEnabled(boolean enabled)`
`void` `setInfoEnabled(boolean enabled)`
`void` `setSevereEnabled(boolean enabled)`
`void` `setWarningEnabled(boolean enabled)`
`int` `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultMessageHolder

    public DefaultMessageHolder()

### DefaultMessageHolder

    public DefaultMessageHolder(int maxMessageLevel,
                                int defaultMessageLevel)

### DefaultMessageHolder

    public DefaultMessageHolder(int maxMessageLevel,
                                int defaultMessageLevel,
                                MessageSink onDemandSink)

Method Detail

### addMessage

    public MessageHolder addMessage(java.lang.CharSequence messagePart,
                                    java.lang.Throwable error)

  Specified by:
    `addMessage` in interface `MessageHolder`

### addMessage

    protected MessageHolder addMessage(int level,
                                       java.lang.CharSequence messagePart,
                                       java.lang.Throwable error)

### addMessage

    public MessageHolder addMessage(java.lang.CharSequence messagePart)

  Specified by:
    `addMessage` in interface `MessageHolder`

### addMessage

    protected MessageHolder addMessage(int level,
                                       java.lang.CharSequence messagePart)

### addMessage

    public MessageHolder addMessage(java.lang.Throwable error)

  Specified by:
    `addMessage` in interface `MessageHolder`

### addMessage

    protected MessageHolder addMessage(int level,
                                       java.lang.Throwable error)

### append

    public MessageHolder append(java.lang.CharSequence messagePart)

  Specified by:
    `append` in interface `MessageHolder`

### append

    public MessageHolder append(java.lang.Throwable error)

  Specified by:
    `append` in interface `MessageHolder`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `MessageHolder`

### newMessage

    public MessageHolder newMessage()

  Specified by:
    `newMessage` in interface `MessageHolder`

### newMessage

    protected void newMessage(int messageLevel)

### render

    public java.lang.String render()

  Specified by:
    `render` in interface `MessageHolder`

### size

    public int size()

  Specified by:
    `size` in interface `MessageHolder`

### addDebugMessage

    public MessageHolder addDebugMessage(java.lang.CharSequence messagePart,
                                         java.lang.Throwable error)

  Specified by:
    `addDebugMessage` in interface `MessageHolder`

### addDebugMessage

    public MessageHolder addDebugMessage(java.lang.CharSequence messagePart)

  Specified by:
    `addDebugMessage` in interface `MessageHolder`

### addDebugMessage

    public MessageHolder addDebugMessage(java.lang.Throwable error)

  Specified by:
    `addDebugMessage` in interface `MessageHolder`

### addErrorMessage

    public MessageHolder addErrorMessage(java.lang.CharSequence messagePart,
                                         java.lang.Throwable error)

  Specified by:
    `addErrorMessage` in interface `MessageHolder`

### addErrorMessage

    public MessageHolder addErrorMessage(java.lang.CharSequence messagePart)

  Specified by:
    `addErrorMessage` in interface `MessageHolder`

### addErrorMessage

    public MessageHolder addErrorMessage(java.lang.Throwable error)

  Specified by:
    `addErrorMessage` in interface `MessageHolder`

### addInfoMessage

    public MessageHolder addInfoMessage(java.lang.CharSequence messagePart,
                                        java.lang.Throwable error)

  Specified by:
    `addInfoMessage` in interface `MessageHolder`

### addInfoMessage

    public MessageHolder addInfoMessage(java.lang.CharSequence messagePart)

  Specified by:
    `addInfoMessage` in interface `MessageHolder`

### addInfoMessage

    public MessageHolder addInfoMessage(java.lang.Throwable error)

  Specified by:
    `addInfoMessage` in interface `MessageHolder`

### addSevereMessage

    public MessageHolder addSevereMessage(java.lang.CharSequence messagePart,
                                          java.lang.Throwable error)

  Specified by:
    `addSevereMessage` in interface `MessageHolder`

### addSevereMessage

    public MessageHolder addSevereMessage(java.lang.CharSequence messagePart)

  Specified by:
    `addSevereMessage` in interface `MessageHolder`

### addSevereMessage

    public MessageHolder addSevereMessage(java.lang.Throwable error)

  Specified by:
    `addSevereMessage` in interface `MessageHolder`

### addWarningMessage

    public MessageHolder addWarningMessage(java.lang.CharSequence messagePart,
                                           java.lang.Throwable error)

  Specified by:
    `addWarningMessage` in interface `MessageHolder`

### addWarningMessage

    public MessageHolder addWarningMessage(java.lang.CharSequence messagePart)

  Specified by:
    `addWarningMessage` in interface `MessageHolder`

### addWarningMessage

    public MessageHolder addWarningMessage(java.lang.Throwable error)

  Specified by:
    `addWarningMessage` in interface `MessageHolder`

### countDebugMessages

    public int countDebugMessages()

  Specified by:
    `countDebugMessages` in interface `MessageHolder`

### countErrorMessages

    public int countErrorMessages()

  Specified by:
    `countErrorMessages` in interface `MessageHolder`

### countInfoMessages

    public int countInfoMessages()

  Specified by:
    `countInfoMessages` in interface `MessageHolder`

### countMessages

    public int countMessages()

  Specified by:
    `countMessages` in interface `MessageHolder`

### countSevereMessages

    public int countSevereMessages()

  Specified by:
    `countSevereMessages` in interface `MessageHolder`

### countWarningMessages

    public int countWarningMessages()

  Specified by:
    `countWarningMessages` in interface `MessageHolder`

### isDebugEnabled

    public boolean isDebugEnabled()

  Specified by:
    `isDebugEnabled` in interface `MessageHolder`

### isErrorEnabled

    public boolean isErrorEnabled()

  Specified by:
    `isErrorEnabled` in interface `MessageHolder`

### isInfoEnabled

    public boolean isInfoEnabled()

  Specified by:
    `isInfoEnabled` in interface `MessageHolder`

### isSevereEnabled

    public boolean isSevereEnabled()

  Specified by:
    `isSevereEnabled` in interface `MessageHolder`

### isWarningEnabled

    public boolean isWarningEnabled()

  Specified by:
    `isWarningEnabled` in interface `MessageHolder`

### newDebugMessage

    public MessageHolder newDebugMessage()

  Specified by:
    `newDebugMessage` in interface `MessageHolder`

### newErrorMessage

    public MessageHolder newErrorMessage()

  Specified by:
    `newErrorMessage` in interface `MessageHolder`

### newInfoMessage

    public MessageHolder newInfoMessage()

  Specified by:
    `newInfoMessage` in interface `MessageHolder`

### newSevereMessage

    public MessageHolder newSevereMessage()

  Specified by:
    `newSevereMessage` in interface `MessageHolder`

### newWarningMessage

    public MessageHolder newWarningMessage()

  Specified by:
    `newWarningMessage` in interface `MessageHolder`

### setDebugEnabled

    public void setDebugEnabled(boolean enabled)

  Specified by:
    `setDebugEnabled` in interface `MessageHolder`

### setErrorEnabled

    public void setErrorEnabled(boolean enabled)

  Specified by:
    `setErrorEnabled` in interface `MessageHolder`

### setInfoEnabled

    public void setInfoEnabled(boolean enabled)

  Specified by:
    `setInfoEnabled` in interface `MessageHolder`

### setSevereEnabled

    public void setSevereEnabled(boolean enabled)

  Specified by:
    `setSevereEnabled` in interface `MessageHolder`

### setWarningEnabled

    public void setWarningEnabled(boolean enabled)

  Specified by:
    `setWarningEnabled` in interface `MessageHolder`

### flush

    public void flush()

  Specified by:
    `flush` in interface `MessageHolder`

### render

    public void render(MessageSink sink)

  Specified by:
    `render` in interface `MessageHolder`

### renderTo

    protected void renderTo(org.apache.maven.shared.io.logging.DefaultMessageHolder.Message message,
                            MessageSink sink)

Copyright © 2011. All Rights Reserved.